Iso4217CurrencyCode (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509.qualified

## Class Iso4217CurrencyCode

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.qualified.Iso4217CurrencyCode

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class Iso4217CurrencyCode
      extends ASN1Object
      implements ASN1Choice

  The Iso4217CurrencyCode object.

       Iso4217CurrencyCode  ::=  CHOICE {
             alphabetic              PrintableString (SIZE 3), --Recommended
             numeric              INTEGER (1..999) }
       -- Alphabetic or numeric currency code as defined in ISO 4217
       -- It is recommended that the Alphabetic form is used

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Iso4217CurrencyCode(int numeric)`
    `Iso4217CurrencyCode(java.lang.String alphabetic)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlphabetic()`
    `static Iso4217CurrencyCode` | `getInstance(java.lang.Object obj)`
    `int` | `getNumeric()`
    `boolean` | `isAlphabetic()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Iso4217CurrencyCode

          public Iso4217CurrencyCode(int numeric)

    - #### Iso4217CurrencyCode

          public Iso4217CurrencyCode(java.lang.String alphabetic)

  - ### Method Detail

    - #### getInstance

          public static Iso4217CurrencyCode getInstance(java.lang.Object obj)

    - #### isAlphabetic

          public boolean isAlphabetic()

    - #### getAlphabetic

          public java.lang.String getAlphabetic()

    - #### getNumeric

          public int getNumeric()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.